## org.hibernate.internal.jaxb.mapping.orm
Class JaxbSqlResultSetMapping

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbSqlResultSetMapping

    public class JaxbSqlResultSetMapping

extends Object

Field Summary
`protected List<JaxbColumnResult>` `columnResult`
`protected String` `description`
`protected List<JaxbEntityResult>` `entityResult`
`protected String` `name`

Constructor Summary
`JaxbSqlResultSetMapping()`

Method Summary
`List<JaxbColumnResult>` `getColumnResult()` Gets the value of the columnResult property.
`String` `getDescription()` Gets the value of the description property.
`List<JaxbEntityResult>` `getEntityResult()` Gets the value of the entityResult property.
`String` `getName()` Gets the value of the name property.
`void` `setDescription(String value)` Sets the value of the description property.
`void` `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### entityResult

    protected List<JaxbEntityResult> entityResult

### columnResult

    protected List<JaxbColumnResult> columnResult

### name

    protected String name

Constructor Detail

### JaxbSqlResultSetMapping

    public JaxbSqlResultSetMapping()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getEntityResult

    public List<JaxbEntityResult> getEntityResult()

  Gets the value of the entityResult property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the entityResult property.

  For example, to add a new item, do as follows:

          getEntityResult().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbEntityResult`

### getColumnResult

    public List<JaxbColumnResult> getColumnResult()

  Gets the value of the columnResult property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnResult property.

  For example, to add a new item, do as follows:

          getColumnResult().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnResult`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.